List Interactions of an Employee
curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/employees/{employee_external_id}/interactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/employees/{employee_external_id}/interactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/employees/{employee_external_id}/interactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 2,
"results": [
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"interaction_type": "vacancy_disliked",
"timestamp": "2021-01-03T11:49:23.624131",
"title": "Software engineer"
},
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f1538",
"interaction_type": "vacancy_liked",
"timestamp": "2023-06-08T14:34:39.326318",
"vacancy_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7"
}
]
}[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
][
{
"title": "415 Unsupported Media Type",
"description": "Content-type must be one of: application/json"
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Interactions
List Interactions of an Employee
Get all Interactions linked to an Employee.
List Interactions of an Employee
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique ID linked to an Employee, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
Required string length:
1 - 100Pattern:
[a-zA-Z0-9_-]+Example:
"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Response
OK
Total number of Interaction type objects linked to the Employee.
Required range:
x >= 0Example:
2
Subset of Interactions starting from offset up to offset + limit.
Show child attributes
Show child attributes
Example:
[
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"interaction_type": "vacancy_disliked",
"timestamp": "2021-01-03T11:49:23.624131",
"title": "Software engineer"
},
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f1538",
"interaction_type": "vacancy_liked",
"timestamp": "2023-06-08T14:34:39.326318",
"vacancy_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7"
}
]
Was this page helpful?
⌘I